List notifications for a store
List notifications for a store
Required permissions: INTERNAL_PURCHASE_ORDER, PURCHASE_ORDER, RECEIVEMENT, RETURN_ORDER, SALES_ORDER, SERVICE_ORDER
get/tenants/{tenantUid}/stores/{storeUid}/notifications
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Query parameters
pageSizeintegerOptional
The number of items per page in a result set.
pageNumberintegerOptional
Reference to a specific page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/notifications
GET /v2/tenants/{tenantUid}/stores/{storeUid}/notifications HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"messageType": "EMAIL",
"recipient": "text",
"message": "text",
"subject": "text",
"state": "NOT_STARTED",
"errorText": "text",
"notificationUid": "text",
"customerUid": "text",
"orderUid": "text",
"serviceOrderUid": "text",
"serviceEventUid": "text",
"tenantUserUid": "text",
"supplierUid": "text",
"receivementUid": "text",
"purchaseOrderUid": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"source": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

